Mailinglist Archive: opensuse-updates (59 mails)

< Previous Next >
openSUSE-SU-2010:0583-1 (moderate): xorg-x11-server: Fixed memory corruption in XRender
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Tue, 7 Sep 2010 17:08:12 +0200 (CEST)
  • Message-id: <20100907150812.1079CBE31@xxxxxxxxxxxxxx>
openSUSE Security Update: xorg-x11-server: Fixed memory corruption in XRender
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0583-1
Rating: moderate
References: #597232
Cross-References: CVE-2010-1166
Affected Products:
openSUSE 11.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update fixes a memory corruption in the X Render
extension in the X server.

CVE-2010-1166: The fbComposite function in fbpict.c in the
Render extension in the X server in X.Org X11R7.1 allows
remote authenticated users to cause a denial of service
(memory corruption and daemon crash) or possibly execute
arbitrary code via a crafted request, related to an
incorrect macro definition.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.2:

zypper in -t patch xorg-x11-Xvnc-2875

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.2 (i586 x86_64):

xorg-x11-Xvnc-7.4-61.64.1
xorg-x11-server-7.4-61.64.1
xorg-x11-server-extra-7.4-61.64.1
xorg-x11-server-sdk-7.4-61.64.1


References:

http://support.novell.com/security/cve/CVE-2010-1166.html
https://bugzilla.novell.com/597232


< Previous Next >
This Thread
  • No further messages